node-geographiclib_1.49-4_all.deb


Advertisement

Description

node-geographiclib - GeographicLib Node.js module

Property Value
Distribution Ubuntu 19.04 (Disco Dingo)
Repository Ubuntu Universe amd64
Package filename node-geographiclib_1.49-4_all.deb
Package name node-geographiclib
Package version 1.49
Package release 4
Package architecture all
Package type deb
Category universe/web
Homepage https://geographiclib.sourceforge.io/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 44.71 KB
Installed size 344.00 KB
GeographicLib is a small set of C++ classes for converting between
geographic, UTM, UPS, MGRS, geocentric, and local cartesian coordinates,
for geoid calculations, and for computing geodesic. It is a suitable
replacement for the core functionality provided by NGA Geotrans.
This package contains the GeographicLib Node.js module.

Alternatives

Package Version Architecture Repository
node-geographiclib_1.49-4_all.deb 1.49 all Ubuntu Universe
node-geographiclib - - -

Requires

Name Value
nodejs -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package node-geographiclib_1.49-4_all.deb
Source Package geographiclib

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install node-geographiclib deb package:
    # sudo apt-get install node-geographiclib

Files

Path
/usr/lib/nodejs/geographiclib/geographiclib.js
/usr/lib/nodejs/geographiclib/geographiclib.min.js
/usr/lib/nodejs/geographiclib/package.json
/usr/lib/nodejs/geographiclib/src/DMS.js
/usr/lib/nodejs/geographiclib/src/Geodesic.js
/usr/lib/nodejs/geographiclib/src/GeodesicLine.js
/usr/lib/nodejs/geographiclib/src/Math.js
/usr/lib/nodejs/geographiclib/src/PolygonArea.js
/usr/lib/nodejs/geographiclib/test/geodesictest.js
/usr/share/doc/node-geographiclib/README.md
/usr/share/doc/node-geographiclib/changelog.Debian.gz
/usr/share/doc/node-geographiclib/copyright

Changelog

2018-07-31 - Bas Couwenberg <sebastic@debian.org>
geographiclib (1.49-4) unstable; urgency=medium
* Drop autopkgtest to test installability.
* Add lintian override for testsuite-autopkgtest-missing.
* Strip trailing whitespace from changelog.
* Update symbols for amd64.
2018-07-19 - Bas Couwenberg <sebastic@debian.org>
geographiclib (1.49-3) unstable; urgency=medium
[ Francesco Paolo Lovergine ]
* Doxygen JQuery is not compatible with the standard one, so the embedded
version is now preserved.
* Now using treeview in doxygen doc for a better readability.
* Fixed Mathjax path for doxygen use.
[ Bas Couwenberg ]
* Bump Standards-Version to 4.1.5, no changes.
* Update copyright-format URL to use HTTPS.
* Update Vcs-* URLs for Salsa.
* Drop ancient X-Python-version field.
* Strip trailing whitespace from control & rules files.
* Update symbols for amd64.
2017-12-26 - Bas Couwenberg <sebastic@debian.org>
geographiclib (1.49-2) unstable; urgency=medium
* Add patch by Chris Lamb to make the build reproducible.
(closes: #878708)
* Strip trailing whitespace from changelog & control files.
* Drop obsolete dbg package.
* Mark libgeographic17 as Multi-Arch: same.
* Bump Standards-Version to 4.1.2, no changes.
2017-10-07 - Bas Couwenberg <sebastic@debian.org>
geographiclib (1.49-1) unstable; urgency=medium
* Update symbols for other architectures.
* Move from experimental to unstable.
2017-10-05 - Bas Couwenberg <sebastic@debian.org>
geographiclib (1.49-1~exp1) experimental; urgency=medium
* New upstream release.
* Change priority for libgeographic-dbg from extra to optional.
* Bump Standards-Version to 4.1.1, changes: priority.
* Use pkg-info.mk variables instead of dpkg-parsechangelog output.
* Add autopkgtest to test installability.
* Refresh patches.
* Add lintian overrides for privacy-breach-generic.
* Change node-geographiclib section to javascript.
* Update symbols for amd64.
2017-06-18 - Bas Couwenberg <sebastic@debian.org>
geographiclib (1.48-1) unstable; urgency=medium
* Move from experimental to unstable.
2017-04-10 - Bas Couwenberg <sebastic@debian.org>
geographiclib (1.48-1~exp1) experimental; urgency=medium
* New upstream release.
* Update Homepage URL to geographiclib.sourceforge.io.
* Update geographiclib-datasets-download script to use HTTPS URL.
* Refresh patches.
* Update symbols for amd64.
2017-02-16 - Bas Couwenberg <sebastic@debian.org>
geographiclib (1.47-patch1-1~exp1) experimental; urgency=medium
* New upstream patch release.
* Drop pkgconfigdir.patch, applied upstream.
2017-02-15 - Bas Couwenberg <sebastic@debian.org>
geographiclib (1.47-1~exp1) experimental; urgency=medium
* New upstream release.
* Bump Standards-Version to 3.9.8, no changes.
* Enable all hardening buildflags.
* Include examples in libgeographic-dev.
* Update copyright years for Charles Karney.
* Update repository URLs in upstream metadata to use HTTPS.
* Refresh patches.
* Add patch for pkg-config macros.
* Update symbols for amd64.
* Include pkg-config script in libgeographic-dev.
2016-02-21 - Bas Couwenberg <sebastic@debian.org>
geographiclib (1.46-2) unstable; urgency=medium
* Update symbols for other architectures.

See Also

Package Description
node-get-caller-file_1.0.2-1_all.deb inspects the v8 stack trace
node-get-func-name_2.0.0+dfsg-1_all.deb Utility for getting a function's name for node and the browser
node-get-stdin_5.0.1-1_all.deb Easier stdin for Node.js
node-get-stream_3.0.0-1_all.deb Get a stream as a string, buffer, or array
node-get-value_3.0.1-3_all.deb Use property paths to get a nested value from an object
node-get_1.1.5+ds1-2_all.deb high-level HTTP client for NodeJS
node-getobject_0.1.0-2_all.deb set and get deep objects easily - module for Node.js
node-getpass_0.1.7-1_all.deb get a password from terminal
node-gettext-parser_1.2.2-1_all.deb Parse and compile gettext po and mo files to/from json
node-gettext.js_0.5.4-1_all.deb Lightweight yet complete GNU gettext port - Node.js module
node-github-url-from-git_1.4.0-1_all.deb Convert github git or gist url to an http url - Node.js module
node-glob-base_0.3.0-1.1_all.deb returns an object with the (non-glob) base path
node-glob-parent_3.1.0-1_all.deb Extract the non-magic parent path from a glob string
node-glob-stream_5.3.4-1_all.deb wrapper around node-glob to make it streamy
node-glob_7.1.3-2_all.deb glob functionality for Node.js
Advertisement
Advertisement